﻿using LibOfdCreatorParam;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfInvoiceClient
{
    class RealStatCertCreator
    {
		string TemplateGuid = "11a21a9c-785c-4ccf-85a5-bcba71d353bf";
		public WebClientInputParam Creat()
		{
			WebClientInputParam clientParam = new WebClientInputParam();
			clientParam.TemplateGuid = TemplateGuid;
			clientParam.ClientData = "客户端发送的tag数据";

			clientParam.PageGroup = new List<WebClientPage>();

			WebClientPage page = CreateFirstPage();
			clientParam.PageGroup.Add(page);

			return clientParam;
		}

		private WebClientPage CreateFirstPage()
		{
			WebClientPage page = new WebClientPage();
			page.TemplatePageIndex = 0;// 对于模版文件oft的第一页

			page.ListPageText = new List<WebClientTextItem>();
			page.ListPageImage = new List<WebClientImageItem>();

			// 登记机构章 所在的年份
			WebClientTextItem item = new WebClientTextItem();
			item.Guid = "*9";
			item.DataValue = "2020";
			page.ListPageText.Add(item);

			// 登记机构章 所在的月份
			item = new WebClientTextItem();
			item.Guid = "*11";
			item.DataValue = "09";
			page.ListPageText.Add(item);

			// 登记机构章 所在的日期
			item = new WebClientTextItem();
			item.Guid = "*13";
			item.DataValue = "16";
			page.ListPageText.Add(item);

			// 编号
			item = new WebClientTextItem();
			item.Guid = "*15";
			item.DataValue = "37009993203";
			page.ListPageText.Add(item);

			// 地区
			item = new WebClientTextItem();
			item.Guid = "*17";
			item.DataValue = "鲁";
			page.ListPageText.Add(item);

			// 年份
			item = new WebClientTextItem();
			item.Guid = "*19";
			item.DataValue = "2020";
			page.ListPageText.Add(item);

			// 市
			item = new WebClientTextItem();
			item.Guid = "*21";
			item.DataValue = "济南市中区";
			page.ListPageText.Add(item);

			// 不动产权证号
			item = new WebClientTextItem();
			item.Guid = "*23";
			item.DataValue = "123456980";
			page.ListPageText.Add(item);

			// 权利人
			item = new WebClientTextItem();
			item.Guid = "*25";
			item.DataValue = "张三 李四 刘五";
			page.ListPageText.Add(item);

			// 共有情况
			item = new WebClientTextItem();
			item.Guid = "*27";
			item.DataValue = "共同所有";
			page.ListPageText.Add(item);

			// 坐落
			item = new WebClientTextItem();
			item.Guid = "*29";
			item.DataValue = "济南历下区奥体中心";
			page.ListPageText.Add(item);

			// 不动产单元号
			item = new WebClientTextItem();
			item.Guid = "*31";
			item.DataValue = "888888899";
			page.ListPageText.Add(item);

			// 权利类型
			item = new WebClientTextItem();
			item.Guid = "*33";
			item.DataValue = "70年产权";
			page.ListPageText.Add(item);

			// 权利性质
			item = new WebClientTextItem();
			item.Guid = "*35";
			item.DataValue = "合法购买";
			page.ListPageText.Add(item);

			// 用途
			item = new WebClientTextItem();
			item.Guid = "*37";
			item.DataValue = "住宅";
			page.ListPageText.Add(item);

			// 面积
			item = new WebClientTextItem();
			item.Guid = "*39";
			item.DataValue = "168";
			page.ListPageText.Add(item);

			// 使用期限
			item = new WebClientTextItem();
			item.Guid = "*41";
			item.DataValue = "100年";
			page.ListPageText.Add(item);

			// 权利其他状况
			item = new WebClientTextItem();
			item.Guid = "*43";
			item.DataValue = "合法所得";
			page.ListPageText.Add(item);

			// 附记
			item = new WebClientTextItem();
			item.Guid = "*45";
			item.DataValue = "该电子证明具有法律效力";
			page.ListPageText.Add(item);

			return page;
		}
	}
}
