﻿using LibOfdCreatorParam;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfInvoiceClient
{
    class RealStatRegistCreator
    {
        string TemplateGuid = "02817b83-235f-4e22-930a-dd6b81e36332";
        public WebClientInputParam Creat()
        {
            WebClientInputParam clientParam = new WebClientInputParam();
            clientParam.TemplateGuid = TemplateGuid;
            clientParam.ClientData = "客户端发送的tag数据";

            clientParam.PageGroup = new List<WebClientPage>();

            WebClientPage page = CreateFirstPage();
            clientParam.PageGroup.Add(page);

            return clientParam;
        }

        private WebClientPage CreateFirstPage()
        {
			WebClientPage page = new WebClientPage();
			page.TemplatePageIndex = 0;// 对于模版文件oft的第一页

			page.ListPageText = new List<WebClientTextItem>();
			page.ListPageImage = new List<WebClientImageItem>();

			// 登记机构章 所在的年份
			WebClientTextItem item = new WebClientTextItem();
			item.Guid = "*5";
			item.DataValue = "2020";
			page.ListPageText.Add(item);

			// 登记机构章 所在的月份
			item = new WebClientTextItem();
			item.Guid = "*7";
			item.DataValue = "09";
			page.ListPageText.Add(item);

			// 登记机构章 所在的日期
			item = new WebClientTextItem();
			item.Guid = "*9";
			item.DataValue = "16";
			page.ListPageText.Add(item);

			// 编号
			item = new WebClientTextItem();
			item.Guid = "*11";
			item.DataValue = "37009993203";
			page.ListPageText.Add(item);

			// 地区
			item = new WebClientTextItem();
			item.Guid = "*13";
			item.DataValue = "鲁";
			page.ListPageText.Add(item);

			// 年份
			item = new WebClientTextItem();
			item.Guid = "*15";
			item.DataValue = "2020";
			page.ListPageText.Add(item);

			// 市
			item = new WebClientTextItem();
			item.Guid = "*17";
			item.DataValue = "济南市中区";
			page.ListPageText.Add(item);

			// 不动产权证号
			item = new WebClientTextItem();
			item.Guid = "*19";
			item.DataValue = "123456980";
			page.ListPageText.Add(item);

			// 证明权利或事项
			item = new WebClientTextItem();
			item.Guid = "*21";
			item.DataValue = "所有权";
			page.ListPageText.Add(item);

			// 权利人（申请人）
			item = new WebClientTextItem();
			item.Guid = "*23";
			item.DataValue = "张有房";
			page.ListPageText.Add(item);

			// 义务人人（申请人）
			item = new WebClientTextItem();
			item.Guid = "*25";
			item.DataValue = "房管局";
			page.ListPageText.Add(item);

			// 坐落
			item = new WebClientTextItem();
			item.Guid = "*27";
			item.DataValue = "高新区a-222";
			page.ListPageText.Add(item);

			// 不动产单元号
			item = new WebClientTextItem();
			item.Guid = "*29";
			item.DataValue = "鲁A8054303265";
			page.ListPageText.Add(item);

			// 其他
			item = new WebClientTextItem();
			item.Guid = "*31";
			item.DataValue = "带小院和地下室";
			page.ListPageText.Add(item);

			// 附记
			item = new WebClientTextItem();
			item.Guid = "*33";
			item.DataValue = "全市统一换发电子证照";
			page.ListPageText.Add(item);

			return page;
		}
    }
}
